# Group.Id (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Enum Group.Id

- java.lang.Object
- - java.lang.Enum<Group.Id>
  - - net.fortuna.ical4j.vcard.Group.Id

All Implemented Interfaces:
  Serializable, Comparable<Group.Id>

Enclosing class:
  Group

    public static enum Group.Id
    extends Enum<Group.Id>

Enumeration of group identifiers.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXTENDED` Non-standard group identifier.
`HOME` Home group identifier.
`WORK` Work group identifier.

### Method Summary

Methods
`static Group.Id` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Group.Id[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WORK

    public static final Group.Id WORK

Work group identifier.

#### HOME

    public static final Group.Id HOME

Home group identifier.

#### EXTENDED

    public static final Group.Id EXTENDED

Non-standard group identifier.

### Method Detail

#### values

    public static Group.Id[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Group.Id c : Group.Id.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Group.Id valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null